Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1123069 - Review Request: nodejs-resumer - A stream that starts paused and resumes on the next tick
Summary: Review Request: nodejs-resumer - A stream that starts paused and resumes on t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1005982
TreeView+ depends on / blocked
 
Reported: 2014-07-24 18:48 UTC by Tom Hughes
Modified: 2014-11-05 03:56 UTC (History)
2 users (show)

Fixed In Version: nodejs-resumer-0.0.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-05 03:56:03 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2014-07-24 18:48:35 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-resumter.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-resumer-0.0.0-1.fc20.src.rpm
Fedora Account System Username: tomh

Description:
A through stream that starts paused and resumes on the next tick.

Comment 2 Parag AN(पराग) 2014-10-23 10:18:58 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-resumer.noarch: W: only-non-binary-in-usr-lib
nodejs-resumer.noarch: W: dangling-symlink /usr/lib/node_modules/resumer/node_modules/through /usr/lib/node_modules/through
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :9830d5e074876e38d9652bf385d97d9fc469dbf6f86a3275e551f648ad538bc2
upstream tarball :9830d5e074876e38d9652bf385d97d9fc469dbf6f86a3275e551f648ad538bc2

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 3 Tom Hughes 2014-10-23 10:24:09 UTC
New Package SCM Request
=======================
Package Name: nodejs-resumer
Short Description: A stream that starts paused and resumes on the next tick
Upstream URL: https://github.com/substack/resumer
Owners: tomh
Branches: f20 f21
InitialCC: jamielinux

Comment 4 Gwyn Ciesla 2014-10-23 12:26:51 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-10-23 16:47:01 UTC
nodejs-resumer-0.0.0-1.fc20,nodejs-object-inspect-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-resumer-0.0.0-1.fc20,nodejs-object-inspect-1.0.0-1.fc20

Comment 6 Fedora Update System 2014-10-27 03:27:35 UTC
nodejs-resumer-0.0.0-1.fc20, nodejs-object-inspect-1.0.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-11-05 03:56:03 UTC
nodejs-resumer-0.0.0-1.fc20, nodejs-object-inspect-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.